# Test of properly function library need DNS querys. It work perfectly on my machine and pass all tests.
# But internet access is not allowed from mock chroot. So, I need disable it by default. Yo may enable it if you want.
%global do_not_test 1

Name:          dnsjava
Version:       2.1.3
Release:       %mkrel 4
Summary:       Java DNS implementation
Group:         Development/Java
License:       BSD and MIT
URL:           http://www.dnsjava.org/
Source0:       http://www.dnsjava.org/download/%{name}-%{version}.tar.gz
Source1:       %{name}-%{version}.pom
# bz#842582
Patch0:        dnsjava-2.0.6-java1.5.target.patch

BuildRequires: ant
BuildRequires: aqute-bnd
# see https://fedorahosted.org/released/javapackages/doc/#_add_maven_depmap_macro_2
BuildRequires: javapackages-local
# For tests
BuildRequires: ant-junit
BuildArch:     noarch

%description
dnsjava is an implementation of DNS in Java. It supports all of the common
record types and the DNSSEC types. It can be used for queries, zone transfers,
and dynamic updates. It includes a cache which can be used by clients, and a
minimal implementation of a server. It supports TSIG authenticated messages,
partial DNSSEC verification, and EDNS0.

dnsjava provides functionality above and beyond that of the InetAddress class.
Since it is written in pure Java, dnsjava is fully threadable, and in many
cases is faster than using InetAddress.

dnsjava provides both high and low level access to DNS. The high level
functions perform queries for records of a given name, type, and class, and
return an array of records. There is also a clone of InetAddress, which is
even simpler. A cache is used to reduce the number of DNS queries sent. The
low level functions allow direct manipulation of dns messages and records, as
well as allowing additional resolver properties to be set.

A 'dig' clone and a dynamic update program are included, as well as a
primary-only server.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
rm -rf doc/
find -name "*.class" -print -delete
find -name "*.jar" -print -delete

%patch0 -p0 -b .java1.5

iconv -f iso8859-1 -t utf8 Changelog > Changelog.tmp
touch -r Changelog Changelog.tmp
mv -f Changelog.tmp Changelog
# install in _javadir
%mvn_file %{name}:%{name} %{name}

%build

export CLASSPATH=%(build-classpath jce aqute-bnd)
ant -Dj2se.javadoc=%{_javadocdir}/java clean docsclean bundle docs

%mvn_artifact %{SOURCE1} org.xbill.dns_%{version}.jar

%install
%mvn_install -J doc

%if ! 0%{?do_not_test}
%check
export CLASSPATH='%(build-classpath junit):%{name}-%{version}.jar'
ant -Dj2se.javadoc=%{_javadocdir}/java compile_tests
ant -Dj2se.javadoc=%{_javadocdir}/java run_tests
%endif

%files -f .mfiles
%license LICENSE
%doc Changelog README USAGE examples.html *.java

%files javadoc -f .mfiles-javadoc
%license LICENSE


%changelog
* Thu Sep 15 2016 daviddavid <daviddavid> 2.1.3-4.mga6
+ Revision: 1053169
- Build with OSGi metadata
- Include license
- Disable java 8 doclinting

* Wed Mar 02 2016 neoclust <neoclust> 2.1.3-3.mga6
+ Revision: 982292
- Second rebuild of the java stack

* Mon Feb 29 2016 daviddavid <daviddavid> 2.1.3-2.mga6
+ Revision: 980918
- First rebuild of the java stack
- sync package dnsjava with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Dec 23 2014 pterjan <pterjan> 2.1.3-1.mga5
+ Revision: 805138
- Sync with Fedora 21 (update to 2.1.3)
- Restore

  + sander85 <sander85>
    - Leaf package that depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 2.0.8-6.mga5
+ Revision: 746999
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.8-5.mga5
+ Revision: 678778
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.8-4.mga4
+ Revision: 503882
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.0.8-3.mga3
+ Revision: 348907
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 24 2012 gil <gil> 2.0.8-2.mga2
+ Revision: 200591
- buid fix
  fix depmap
  adapt to the new guideline

* Sat Oct 29 2011 gil <gil> 2.0.8-1.mga2
+ Revision: 159380
- imported package dnsjava

